get

/v4/block-timestamp/bounds

Get the closest lower and upper bound blocks for a given timestamp from BlockTimestampMapping

Query parameters

chainIdnumber
required
timestampnumber
required

Responses

200
Response for status 200
Schema
object
lowerobject | null
required
Closest block with timestamp <= target
blockNumbernumberBlock number
timestampnumberUnix timestamp
upperobject | null
required
Closest block with timestamp >= target
blockNumbernumberBlock number
timestampnumberUnix timestamp
exactMatchboolean
required
True when lower and upper are the same block
Example
{
  "lower": {
    "blockNumber": 0,
    "timestamp": 0
  },
  "upper": {
    "blockNumber": 0,
    "timestamp": 0
  },
  "exactMatch": false
}
get
https://api.merkl.xyz/v4/block-timestamp/bounds
Merkl API
curl -X GET "https://api.merkl.xyz/v4/block-timestamp/bounds"